Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

 

Department: G3-6 Affected Products:  

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

In einem Environment-File gibt es:

<plugin_directories>

 und

<ce_plugin_directories>

 Wann sollte man die eine oder die andere verwenden?

Lösung

<plugin_directories>

Hier wird nach plugindescriptions gesucht

Der Pool an allen Filter, Streaming Sources, Streaming Sinks und System Services, die ein adtfplugin beschreiben, dass 

ADTF zur Laufzeit (ADTF Launcher) verwendet

<ce_plugin_directories>

Hier wird nach adtfceplugins gesucht

Dadurch kann mittels C++/QML Funktionalität im CE erweitert werden

Ist also ausschließlich zur Konfigurationszeit (ADTF Configuration Editor) relevant

Das müsstest du eigentlich von den cesettings schon kennen.

Aktuell liefern kein adtfceplugin.

History

#1 - 2021-05-26 07:43 - hidden

- Project changed from Public Support to 30

- Status changed from New to In Progress

- Customer set to CARIAD

- Department set to G3-6

#2 - 2021-05-26 07:58 - hidden

- Description updated

#3 - 2021-05-26 16:14 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Gustavo,

<plugin_directories>

Hier wird nach plugindescriptions gesucht
Der Pool an allen Filter, Streaming Sources, Streaming Sinks und System Services, die ein adtfplugin beschreiben, dass ADTF zur

Laufzeit (ADTF Launcher) verwendet

<ce_plugin_directories>

Hier wird nach adtfceplugins gesucht

Dadurch kann mittels C++/QML Funktionalität im CE erweitert werden

Ist also ausschließlich zur Konfigurationszeit (ADTF Configuration Editor) relevant

Das müsstest du eigentlich von den cesettings schon kennen.

Aktuell liefern kein adtfceplugin.

#5 - 2021-06-08 08:47 - hidden

- Project changed from 30 to Public Support

- Subject changed from [ADTF3] - Frage bzgl. environment files - ce_plugin_directories to Difference between plugin_directories and

ce_plugin_directories

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Topic set to ADTF::CE

- Resolution set to Solved Issue

#6 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
